Name:		diskimage-builder
Summary:	Image building tools for OpenStack
Version:	0.1.5
Release:	4%{?dist}
License:	ASL 2.0
Group:		System Environment/Base
URL:		https://launchpad.net/diskimage-builder
Source0:	http://tarballs.openstack.org/diskimage-builder/%{name}-%{version}.tar.gz

ExclusiveArch: x86_64 noarch

Patch0001: 0001-Mount-root-filesystem-readonly-during-boot.patch
Patch0002: 0002-Teach-cache-url-to-handle-file-URIs.patch

BuildArch: noarch
BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-d2to1
BuildRequires: python-pbr

Requires: kpartx
Requires: qemu-img
Requires: curl
Requires: python-argparse
Requires: python-babel

%prep
%setup -q -n %{name}-%{version}

%patch0001 -p1
%patch0002 -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/%{name}/lib
mkdir -p %{buildroot}%{_datadir}/%{name}/elements

install -p -D -m 644 lib/* %{buildroot}%{_datadir}/%{name}/lib
cp -vr elements/ %{buildroot}%{_datadir}/%{name}

# explicitly remove config-applier since it does a pip install
rm -rf %{buildroot}%{_datadir}/%{name}/elements/config-applier

# explicitly remove the ramdisk element so that busybox is not required
rm -rf %{buildroot}%{_datadir}/%{name}/elements/ramdisk

%description
Components of TripleO that are responsible for building disk images.

%files
%doc LICENSE
%doc docs/ci.md
%{_bindir}/*
%{python_sitelib}/diskimage_builder*
%{_datadir}/%{name}/lib
%{_datadir}/%{name}/elements

%changelog
* Fri May 23 2014 Jeff Peeler <jpeeler@redhat.com> 0.1.5-4
- removed ramdisk element

* Tue Feb 18 2014 Jeff Peeler <jpeeler@redhat.com> 0.1.5-3
- add patch to fix usage with RHN

* Mon Jan 27 2014 Jeff Peeler <jpeeler@redhat.com> 0.1.5-2
- add new requires: python-argparse, python-babel

* Mon Jan 27 2014 Jeff Peeler <jpeeler@redhat.com> 0.1.5-1
- rebase to 0.1.5 + patch to fix RHEL 6.5 boot (rhbz#1057217)

* Wed Oct 9 2013 Jeff Peeler <jpeeler@redhat.com> 0.0.5-1
- rebase to 0.0.5
- drop unnecessary pbr patch since 0.5.21 now in EPEL

* Mon Sep 16 2013 Jeff Peeler <jpeeler@redhat.com> 0.0.1-9
- add patch to allow proper Fedora image creation when using vm element

* Fri Sep 13 2013 Jeff Peeler <jpeeler@redhat.com> 0.0.1-8
- add patches to ccd7b86b606e678bf7281baff05c420b089c5d8f (fixes kpartx issue)

* Fri Sep 6 2013 Jeff Peeler <jpeeler@redhat.com> 0.0.1-7
- added file globbing removal patch

* Thu Sep 5 2013 Jeff Peeler <jpeeler@redhat.com> 0.0.1-6
- rebase to a495079695e914fa7ec93292497bfc2471f41510
- Source moved from stackforge to openstack
- added curl requires
- switched to pbr
- remove all sudo related files as they are no longer used

* Mon Aug 26 2013 Jeff Peeler <jpeeler@redhat.com> 0.0.1-5
- added ExclusiveArch x86_64 because of qemu-img dependency

* Tue Aug 13 2013 Jeff Peeler <jpeeler@redhat.com> 0.0.1-4
- removed config-applier element

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 31 2013 Jeff Peeler <jpeeler@redhat.com> 0.0.1-2
- rebased and dropped patches

* Mon Jul 29 2013 Jeff Peeler <jpeeler@redhat.com> 0.0.1-1
- initial package straight from github commit sha
